Mailinglist Archive: opensuse-buildservice (48 mails)

< Previous Next >
[opensuse-buildservice] SLE: Dependencies failed despite packages are available at repositories at Meta
This must be something stupid, but I can't see what I am doing wrong.

I am trying to build Uyuni Client Tools at: https://build.opensuse.org/
project/show/systemsmanagement:Uyuni:Master:SLE12-Uyuni-Client-Tools

One of the packages (that is able to build internally at build.opensuse.de)
fails to build is spacewalk-backend https://build.opensuse.org/package/show/
systemsmanagement:Uyuni:Master:SLE12-Uyuni-Client-Tools/spacewalk-backend

Message is: nothing provides python-debian, nothing provides yum

But I cannot understand why, because at Meta I have SUSE:SLE-12:Update/
standard: https://build.opensuse.org/project/meta/
systemsmanagement:Uyuni:Master:SLE12-Uyuni-Client-Tools

And even SUSE:SLE-12:GA, and both are exactly the same projects I use
internally

And packages seems to be there:
https://build.opensuse.org/package/show/SUSE:SLE-12:Update/yum
https://build.opensuse.org/package/show/SUSE:SLE-12:Update/python-debian

I tried

<path project="SUSE:SLE-12-SP3:Update" repository="standard"/>
<path project="SUSE:SLE-12-SP3:GA" repository="standard"/>

But no difference.

To some extent, something similar seems to be happening with: https://
build.opensuse.org/package/show/systemsmanagement:Uyuni:Master:SLE15-Uyuni-
Client-Tools/spacewalk-backend as it can't find python-yum for SLE15, while
internally it works fine.

What am I doing wrong?

--
Julio González Gil <jgonzalez@xxxxxxxx>
Release Engineer
SUSE Linux GmbH, Maxfeldstr. 5, D-90409 Nürnberg
Tel: +49-911-74053-0; Fax: +49-911-7417755; https://www.suse.com/
SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard,
Graham Norton, HRB 21284 (AG Nürnberg)
< Previous Next >
Follow Ups